- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Containers_Info_Map Class Reference

`#include <Containers_Info_Map.h>`

Collaboration diagram for CIAO::Containers_Info_Map:

[legend]
List of all members.

## Public Member Functions
| Containers_Info_Map (const Deployment::DeploymentPlan &plan, const Deployment::ComponentPlans &shared_components)
Deployment::ContainerImplementationInfos * | containers_info (void)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Deployment::ContainerImplementationInfo *, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | MAP
typedef MAP::iterator | Iterator
## Private Member Functions
void | initialize_map (void)
bool | build_map (void)
bool | insert_instance_into_map (const Deployment::InstanceDeploymentDescription &instance)
bool | insert_instance_into_container (const Deployment::InstanceDeploymentDescription &instance, Deployment::ComponentImplementationInfos &impl_infos)
bool | is_shared_component (ACE_CString &name)
## Private Attributes
MAP | map_
const Deployment::DeploymentPlan & | plan_
Deployment::ComponentPlans | shared_components_

## Member Typedef Documentation

typedef MAP::iterator CIAO::Containers_Info_Map::Iterator`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Deployment::ContainerImplementationInfo *, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::Containers_Info_Map::MAP`[private]`

## Constructor & Destructor Documentation

CIAO::Containers_Info_Map::Containers_Info_Map | ( | const Deployment::DeploymentPlan & | plan,
|  | const Deployment::ComponentPlans & | shared_components |
| ) |  |  |

## Member Function Documentation

bool CIAO::Containers_Info_Map::build_map | ( | void |  | ) | `[private]`

Deployment::ContainerImplementationInfos * CIAO::Containers_Info_Map::containers_info | ( | void |  | ) |

void CIAO::Containers_Info_Map::initialize_map | ( | void |  | ) | `[private]`

bool CIAO::Containers_Info_Map::insert_instance_into_container | ( | const Deployment::InstanceDeploymentDescription & | instance,
|  | Deployment::ComponentImplementationInfos & | impl_infos |
| ) |  |  | `[private]`

bool CIAO::Containers_Info_Map::insert_instance_into_map | ( | const Deployment::InstanceDeploymentDescription & | instance | ) | `[private]`

bool CIAO::Containers_Info_Map::is_shared_component | ( | ACE_CString & | name | ) | `[private]`

Helper function to check wheather a component instance is in the "shared components list".

## Member Data Documentation

MAP CIAO::Containers_Info_Map::map_`[private]`

const Deployment::DeploymentPlan& CIAO::Containers_Info_Map::plan_`[private]`

Deployment::ComponentPlans CIAO::Containers_Info_Map::shared_components_`[private]`

shared components list, passed in from NodeImplementationInfoHandler class.

The documentation for this class was generated from the following files:

- Containers_Info_Map.h
- Containers_Info_Map.cpp